Service(3)

NAME
Service -

SYNOPSIS

Inherits Communicable.

Inherited by peoPopEval< EOT >, peoPopEval< eoVector< int, Node > >, peoSynchronousMultiStart< EntityType >, peoSynchronousMultiStart< eoVector< int, Node > >, peoSyncMultiStart< EOT >, and peoTransform< EOT >.

  Public Member Functions
void setOwner (Thread &__owner)
Thread * getOwner ()
void requestResourceRequest (unsigned __how_many=1)
void packResourceRequest ()
virtual void packData ()
virtual void unpackData ()
virtual void execute ()
virtual void packResult ()
virtual void unpackResult ()
virtual void notifySendingData ()
virtual void notifySendingResourceRequest ()
virtual void notifySendingAllResourceRequests ()

  Private Attributes
Thread * owner
unsigned num_sent_rr

Detailed Description

Definition at line 45 of file service.h.

Author

Generated automatically by Doxygen for ParadisEO-PEOMovingObjects from the source code.